Skip to Content
Blockhash Docs
API referenceLive
GET
/v1/map

The tokens with the most liquidity (nodes) and the pools between them (edges): each pair's pools summed by depth and named by venue. size sets how many tokens.

Query Parameters

size?integer

How many tokens, in order of liquidity.

Range20 <= value <= 800
Default400

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/map"
{  "nodes": [    {      "address": "string",      "symbol": "string",      "decimals": 0,      "isStock": true,      "liquidityUsd": 0,      "priceUsd": 0,      "holders": 0    }  ],  "edges": [    {      "a": "string",      "b": "string",      "depthUsd": 0,      "pools": 0,      "venues": [        "string"      ]    }  ],  "asOf": 0,  "source": "indexer"}